<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once("class/class.bbdd.php");
$bbdd = new BBDD();

//Resposta per defecte (Negativa)
$response["success"] = "0";  
$response["message"] = "No s'ha pogut eliminar la recepta.";	

//Valida i adapta els paràmetres necessris
$reciCode = $bbdd->checkParameter('reciCode',true);

//Comprova que s'hagin validat els paràmetres
if ($reciCode !== 0) {
	//Comprova si existeix una llista amb el codi introduït
	$exist = $bbdd->selectUnique("count(*)","Recipes","reciIden = '".$reciCode."'");	
	if($exist) {
		//Selecciona els ingredients que estan en la recepta i que no estan en una llista		
		$ingrReci = $bbdd->select("inreIngr as ingrIden","IngredientsRecipes","inreRece = '".$reciCode."' AND NOT inreIngr IN (SELECT inliIngredient FROM IngredientsLists)");	
		//Elimina tots els ingredients de la llista que no estan en ninguna recepta
		if(mysqli_num_rows($ingrReci)) {
			while($row = mysqli_fetch_object($ingrReci)) {
				$ingrIden = $row->ingrIden;
				$result = $bbdd->delete("Ingredients","ingrIden = '".$ingrIden."'");
			}
		}
		
		//Elimina la recepta
		$result = $bbdd->delete("Recipes","reciIden = '".$reciCode."'");
	}
	
	//Comprova que el resultat de l'operació sigui correcte
	if (isset($result) && $result) {
		$response["success"] = "1";
		$response["message"] = "Recepta eliminada";
	} 
} 

//Retorna els resultats en Json 
echo json_encode($response,JSON_UNESCAPED_UNICODE);  
?>